/*
  bg-BG.h - localization for Bulgaria - Bulgarian for Tasmota

  Copyright (C) 2021  Theo Arends

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _LANGUAGE_BG_BG_H_
#define _LANGUAGE_BG_BG_H_

/*************************** ATTENTION *******************************\
 *
 * Due to memory constraints only UTF-8 is supported.
 * To save code space keep text as short as possible.
 * Time and Date provided by SDK can not be localized (yet).
 * Use online command StateText to translate ON, OFF, HOLD and TOGGLE.
 * Use online command Prefix to translate cmnd, stat and tele.
 *
 * Updated until v9.3.1.1
\*********************************************************************/

//#define LANGUAGE_MODULE_NAME         // Enable to display "Module Generic" (ie Spanish), Disable to display "Generic Module" (ie English)
// https://www.science.co.il/language/Locale-codes.php
#define LANGUAGE_LCID 1026
// HTML (ISO 639-1) Language Code
#define D_HTML_LANGUAGE "bg"

// "2017-03-07T11:08:02" - ISO8601:2004
#define D_YEAR_MONTH_SEPARATOR "-"
#define D_MONTH_DAY_SEPARATOR "-"
#define D_DATE_TIME_SEPARATOR "T"
#define D_HOUR_MINUTE_SEPARATOR ":"
#define D_MINUTE_SECOND_SEPARATOR ":"

#define D_DAY3LIST "НедПонВтоСряЧетПетСъб"
#define D_MONTH3LIST "ЯнуФевМарАпрМайЮниЮлиАвгСепОктНоеДек"

// Non JSON decimal separator
#define D_DECIMAL_SEPARATOR ","

// Common
#define D_ABSOLUTE_HUMIDITY "Abs Humidity"
#define D_ADMIN "Admin"
#define D_AIR_QUALITY "Качество на въздуха"
#define D_AP "Точка за достъп"       // Access Point
#define D_AS "като"
#define D_AT "at"
#define D_AUTO "АВТОМАТИЧНО"
#define D_AUTO_UPDATE "Auto Update"
#define D_BATTERY "Battery"
#define D_BATT "Бат."                // Short for Battery
#define D_BATTERY_CHARGE "Charge"   // Battery charge in %
#define D_BLINK "Мигане вкл."
#define D_BLINKOFF "Мигане изкл."
#define D_BOOT_COUNT "Брой стартирания"
#define D_BRIGHTLIGHT "Яркост"
#define D_BSSID "BSSId"
#define D_BUTTON "Бутон"
#define D_BY "от"                    // Written by me
#define D_BYTES "Байта"
#define D_CELSIUS "Целзий"
#define D_CHANNEL "Канал"
#define D_CO2 "Въглероден диоксид"
#define D_CODE "код"                 // Button code
#define D_COLDLIGHT "Студена"
#define D_COMMAND "Команда"
#define D_CONNECTED "Свързан"
#define D_CORS_DOMAIN "Домейн на CORS"
#define D_COLOR "Color"
#define D_COUNT "Брой"
#define D_COUNTER "Брояч"
#define D_CT_POWER "ТТ Мощност"
#define D_CURRENT "Ток"              // As in Voltage and Current
#define D_CURRENT_NEUTRAL "Ток по нулата"
#define D_DATA "Данни"
#define D_DARKLIGHT "Тъмна"
#define D_DEBUG "Премахване на дефекти"
#define D_DEWPOINT "Температура на оросяване"
#define D_DISABLED "Забранено"
#define D_DISCONNECTED "Disconnected"
#define D_DISTANCE "Разстояние"
#define D_DNS_SERVER "Сървър на DNS"
#define D_DO "Разтворен кислород"
#define D_DONE "Изпълнено"
#define D_DST_TIME "Лятно часово време"
#define D_EC "EC"
#define D_ECO2 "eCO₂"
#define D_EMULATION "Емулация"
#define D_ENABLED "Разрешено"
#define D_ERASE "Изтриване"
#define D_ERROR "Грешка"
#define D_FAHRENHEIT "Фаренхайт"
#define D_FAILED "Неуспешно"
#define D_FALLBACK "Резервен"
#define D_FALLBACK_TOPIC "Резервна тема"
#define D_FALSE "Невярно"
#define D_FILE "Файл"
#define D_FILE_SYSTEM_SIZE "File System Size"
#define D_FLOW_RATE "Дебит"
#define D_FRAGMENTATION "фраг."      // Lower case abbreviated version of fragmentation used in "memory fragmentation"
#define D_FRAME_RATE "Кадъра в секунда"
#define D_FREE_MEMORY "Свободна памет"
#define D_PSR_MAX_MEMORY "PS-RAM Memory"
#define D_PSR_FREE_MEMORY "PS-RAM free Memory"
#define D_FREQUENCY "Честота"
#define D_GAS "Газ"
#define D_GATEWAY "Шлюз"
#define D_GROUP "Група"
#define D_HOST "Хост"
#define D_HALL_EFFECT "Ефект на Хол"
#define D_HEATINDEX "Heat index"
#define D_HOSTNAME "Име на хоста"
#define D_HUMIDITY "Влажност"
#define D_ILLUMINANCE "Осветеност"
#define D_IMMEDIATE "Моментален"     // Button immediate
#define D_INDEX "Индекс"
#define D_INFO "Информация"
#define D_INFRARED "Инфрачервен"
#define D_INITIALIZED "Инициализирано"
#define D_IP_ADDRESS "Адрес по IP"
#define D_LIGHT "Светлина"
#define D_LWT "LWT"
#define D_LQI "LQI"                  // Zigbee Link Quality Index
#define D_MODULE "Модул"
#define D_MOISTURE "Влага"
#define D_MQTT "MQTT"
#define D_MULTI_PRESS "неколкократно натискане"
#define D_NOISE "Шум"
#define D_NONE "Няма"
#define D_NOX "NOx"
#define D_O2 "Кислород"
#define D_OFF "Изкл."
#define D_OFFLINE "Извън мрежа"
#define D_OK "Добре"
#define D_ON "Вкл."
#define D_ONLINE "Онлайн"
#define D_ORP "ORP"
#define D_PASSWORD "Парола"
#define D_PH "pH"
#define D_MQ "MQ"
#define D_PARTITION "Дял"      // As in flash and firmware partition
#define D_PORT "Порт"
#define D_POWER_FACTOR "Фактор на мощността"
#define D_POWERUSAGE "Мощност"
#define D_POWERUSAGE_ACTIVE "Активна мощност"
#define D_POWERUSAGE_ACTIVE_TOTAL "Active Power Total"
#define D_POWERUSAGE_APPARENT "Пълна мощност"
#define D_POWERUSAGE_REACTIVE "Реактивна мощност"
#define D_PRESSURE "Налягане"
#define D_PRESSUREATSEALEVEL "Налягане при морското равнище"
#define D_PROGRAM_FLASH_SIZE "Размер на флаш-памет за програми"
#define D_PROGRAM_SIZE "Размер на програмата"
#define D_PROJECT "Проект"
#define D_RAIN "Дъжд"
#define D_RANGE "Обхват"
#define D_RECEIVED "Получено"
#define D_RESTART "Рестартиране"
#define D_RESTARTING "Рестартиране"
#define D_RESTART_REASON "Причина за рестарт"
#define D_RETAINED "запазено"
#define D_RULE "Правило"
#define D_SAVE "Запазване"
#define D_SENSOR "Датчик"
#define D_SSID "SSId"
#define D_START "Стартиране"
#define D_STD_TIME "STD"
#define D_STOP "Спиране"
#define D_SUBNET_MASK "Мрежова маска"
#define D_SUBSCRIBE_TO "Абониране за"
#define D_UNSUBSCRIBE_FROM "Отписване от"
#define D_SUCCESSFUL "Успешно"
#define D_SUNRISE "Изгрев"
#define D_SUNSET "Залез"
#define D_TEMPERATURE "Температура"
#define D_TO "към"
#define D_TOGGLE "Превключване"
#define D_TOPIC "Тема"
#define D_TOTAL_USAGE "Общо използвано"
#define D_TRANSMIT "Предаване"
#define D_TRUE "Вярно"
#define D_TVOC "TVOC"
#define D_TWILIGHT_ASTRONOMICAL "Astronomical"
#define D_TWILIGHT_CIVIL "Civil"
#define D_TWILIGHT_NAUTICAL "Nautical"
#define D_UPLOAD "Качването е"
#define D_UPTIME "Време на работа"
#define D_USED "използвано"
#define D_USER "Потребител"
#define D_UTC_TIME "UTC"
#define D_UV_INDEX "Индекс на UV"
#define D_UV_INDEX_1 "Нисък"
#define D_UV_INDEX_2 "Среден"
#define D_UV_INDEX_3 "Висок"
#define D_UV_INDEX_4 "Много висок"
#define D_UV_INDEX_5 "Изгаряне 1, 2-ра степен"
#define D_UV_INDEX_6 "Изгаряне 3-та степен"
#define D_UV_INDEX_7 "Извън обхват"
#define D_UV_LEVEL "Ниво на UV"
#define D_UV_POWER "Сила на UV"
#define D_VERSION "Издание"
#define D_VOC "VOC"
#define D_VOLTAGE "Напрежение"
#define D_VOLUME "Обем"
#define D_WEIGHT "Тегло"
#define D_WARMLIGHT "Топла"
#define D_WEB_SERVER "Уеб сървър"
#define D_SOC "Съснояние на зареждане"
#define D_SOH "State of Health"
#define D_WATER_DEPTH "Дълбочина на водата"

// tasmota.ino
#define D_WARNING_MINIMAL_VERSION "ПРЕДУПРЕЖДЕНИЕ Тази версия не поддържа постоянни настройки"
#define D_LEVEL_10 "ниво 1-0"
#define D_LEVEL_01 "ниво 0-1"
#define D_SERIAL_LOGGING_DISABLED "Серийният дневник е изключен"
#define D_SYSLOG_LOGGING_REENABLED "Системният дневник е включен"

#define D_SET_BAUDRATE_TO "Задаване скорост на предаване"
#define D_RECEIVED_TOPIC "Получена е тема"
#define D_DATA_SIZE "Размер на данните"
#define D_ANALOG_INPUT "Аналогов вход"

// support.ino
#define D_OSWATCH "osWatch"
#define D_BLOCKED_LOOP "Спрян е цикъл"
#define D_WPS_FAILED_WITH_STATUS "Настройката на WPS е НЕУСПЕШНА със съобщение"
#define D_ACTIVE_FOR_3_MINUTES "включено за 3 минути"
#define D_FAILED_TO_START "Неуспешно стартиране"
#define D_PATCH_ISSUE_2186 "Проблем с кръпка 2186"
#define D_CONNECTING_TO_AP "Свързване към точка за достъп"
#define D_IN_MODE "в режим"
#define D_CONNECT_FAILED_NO_IP_ADDRESS "Грешка при свързване поради липса на адрес по IP"
#define D_CONNECT_FAILED_AP_NOT_REACHED "Грешка при свързване поради недостъпна точката за достъп"
#define D_CONNECT_FAILED_WRONG_PASSWORD "Грешка при свързване"
#define D_CONNECT_FAILED_AP_TIMEOUT "Грешка при свързване поради изтекло време за връзка"
#define D_ATTEMPTING_CONNECTION "Опит за свързване…"
#define D_CHECKING_CONNECTION "Проверка на връзката…"
#define D_QUERY_DONE "Запитването е изпълнено. Намерена е услуга на MQTT"
#define D_MQTT_SERVICE_FOUND "Намерена е услуга на MQTT на"
#define D_FOUND_AT "намерена в"
#define D_SYSLOG_HOST_NOT_FOUND "Хостът за системния дневник не е намерен"

// settings.ino
#define D_SAVED_TO_FLASH_AT "Запазено във флаш-паметта на"
#define D_LOADED_FROM_FLASH_AT "Заредено от флаш-паметта от"
#define D_USE_DEFAULTS "Подразбирани параметри"
#define D_ERASED_SECTOR "Изтрит сектор"

// xdrv_02_webserver.ino
#define D_NOSCRIPT "За да използвате Tasmota разрешете JavaScript"
#define D_SAFEBOOT "SAFEBOOT"
#define D_MINIMAL_FIRMWARE_PLEASE_UPGRADE "Вграденият софтуер е MINIMAL<br>надградете го"
#define D_WEBSERVER_ACTIVE_ON "Уеб сървърът е достъпен на"
#define D_WITH_IP_ADDRESS "с адрес по IP"
#define D_WEBSERVER_STOPPED "Уеб сървърът е спрян"
#define D_FILE_NOT_FOUND "Файлът не е намерен"
#define D_REDIRECTED "Пренасочено към портала за настройка"
#define D_WIFIMANAGER_SET_ACCESSPOINT_AND_STATION "Wifimanager set AccessPoint and keep Station"
#define D_WIFIMANAGER_SET_ACCESSPOINT "Wifimanager set AccessPoint"
#define D_TRYING_TO_CONNECT "Oпит за свързване към избраната мрежа"

#define D_RESTART_IN "Рестарт след"
#define D_SECONDS "секунди"
#define D_DEVICE_WILL_RESTART "Устройството ще е рестартирано след секунда"
#define D_BUTTON_TOGGLE "Превключване"
#define D_CONFIGURATION "Настройки"
#define D_INFORMATION "Информация"
#define D_FIRMWARE_UPGRADE "Обновяване на софтуера"
#define D_MANAGEMENT "Терминали"
#define D_GPIO_VIEWER "GPIO Viewer"
#define D_CONSOLE "Терминал"
#define D_CONFIRM_RESTART "Потвърдете рестартиране"

#define D_CONFIGURE_MODULE "Настройки на модула"
#define D_CONFIGURE_WIFI "Настройки на WiFi"
#define D_CONFIGURE_MQTT "Настройки на MQTT"
#define D_CONFIGURE_DOMOTICZ "Настройки на Domoticz"
#define D_CONFIGURE_LOGGING "Настройки на дневници"
#define D_CONFIGURE_OTHER "Други настройки"
#define D_CONFIRM_RESET_CONFIGURATION "Потвърдете нулирането на настройките"
#define D_RESET_CONFIGURATION "Нулиране на настройки"
#define D_BACKUP_CONFIGURATION "Резервно копие на настройки"
#define D_RESTORE_CONFIGURATION "Възстановяване на настройки"
#define D_START_RESTORE "Start restore"
#define D_MAIN_MENU "Начало"

#define D_MODULE_PARAMETERS "Параметри на модула"
#define D_MODULE_TYPE "Вид на модула"
#define D_PULLUP_ENABLE "Без pull-up за бутон/ключ"
#define D_ADC "ADC"
#define D_GPIO "GPIO"
#define D_SERIAL_IN "Сериен вход"
#define D_SERIAL_OUT "Сериен изход"

#define D_WIFI_PARAMETERS "Параметри на Wi-Fi"
#define D_SCAN_FOR_WIFI_NETWORKS "Търсене на безжични мрежи"
#define D_SCAN_DONE "Търсенето е завършено"
#define D_NO_NETWORKS_FOUND "Не са открити мрежи"
#define D_REFRESH_TO_SCAN_AGAIN "Обновяване за повторно сканиране"
#define D_DUPLICATE_ACCESSPOINT "Дублирана точка за достъп"
#define D_SKIPPING_LOW_QUALITY "Пропускане поради лошо качество"
#define D_MODE "Mode"
#define D_RSSI "RSSI"
#define D_WEP "WEP"
#define D_WPA_PSK "WPA PSK"
#define D_WPA2_PSK "WPA2 PSK"
#define D_AP1_SSID "Безжична мрежа"
#define D_AP1_SSID_HELP "Въведете или изберете безжична мрежа"
#define D_AP2_SSID "Безжична мрежа 2"
#define D_AP2_SSID_HELP "Въведете допълнителна безжична мрежа"
#define D_AP_PASSWORD "Парола за WiFi"
#define D_AP_PASSWORD_HELP "Въведете парола за WiFi"
#define D_SELECT_YOUR_WIFI_NETWORK "Изберете безжична мрежа"
#define D_SHOW_MORE_WIFI_NETWORKS "Всички безжични мрежи"
#define D_SHOW_MORE_OPTIONS "Още възможности"
#define D_CHECK_CREDENTIALS "Проверете данните за достъп"
#define D_SUCCESSFUL_WIFI_CONNECTION "Успешна връзка с безжичната мрежа"
#define D_NOW_YOU_CAN_CLOSE_THIS_WINDOW "Вече можете да затворите този прозорец"
#define D_REDIRECTING_TO_NEW_IP "Пренасочване към новия адрес на устройството"

#define D_MQTT_PARAMETERS "Параметри на MQTT"
#define D_CLIENT "Клиент"
#define D_FULL_TOPIC "Пълна тема"

#define D_LOGGING_PARAMETERS "Параметри на дневниците"
#define D_SERIAL_LOG_LEVEL "Сериeн дневник"
#define D_MQTT_LOG_LEVEL "Дневник на MQTT"
#define D_WEB_LOG_LEVEL "Дневник на уеб"
#define D_SYS_LOG_LEVEL "Системен дневник"
#define D_MORE_DEBUG "Повече информация"
#define D_SYSLOG_HOST "Хост за системен дневник"
#define D_SYSLOG_PORT "Порт за системен дневник"
#define D_TELEMETRY_PERIOD "Интервал за телеметрия"

#define D_OTHER_PARAMETERS "Други параметри"
#define D_TEMPLATE "Модел"
#define D_ACTIVATE "Включване"
#define D_DEVICE_NAME "Име на устройството"
#define D_WEB_ADMIN_PASSWORD "Парола на интерфейса"
#define D_MQTT_ENABLE "Включване на MQTT"
#define D_MQTT_TLS_ENABLE "MQTT през TLS"
#define D_HTTP_API "HTTP API"
#define D_HTTP_API_ENABLE "Включване на ППИ през HTTP"
#define D_FRIENDLY_NAME "Приятелско име"
#define D_BELKIN_WEMO "Belkin WeMo"
#define D_HUE_BRIDGE "Hue Bridge"
#define D_SINGLE_DEVICE "едно устройство"
#define D_MULTI_DEVICE "много устройства"

#define D_CONFIGURE_TEMPLATE "Настройки на шаблона"
#define D_TEMPLATE_PARAMETERS "Параметри на шаблона"
#define D_TEMPLATE_NAME "Име"
#define D_BASE_TYPE "Основан на"
#define D_TEMPLATE_FLAGS "Възможности"

#define D_SAVE_CONFIGURATION "Запазване на настройки"
#define D_CONFIGURATION_SAVED "Настройките са запазени"
#define D_CONFIGURATION_RESET "Настройките е нулирани"

#define D_PROGRAM_VERSION "Издание на програмата"
#define D_BUILD_DATE_AND_TIME "Дата и час на компилиране"
#define D_CORE_AND_SDK_VERSION "Издание на Core/SDK"
#define D_FLASH_WRITE_COUNT "Брой записвания във флаш-паметта"
#define D_MAC_ADDRESS "Адрес по MAC"
#define D_MQTT_HOST "Хост на MQTT"
#define D_MQTT_PORT "Порт на MQTT"
#define D_MQTT_CLIENT "ID на клиент на MQTT"
#define D_MQTT_USER "Потребител на MQTT"
#define D_MQTT_TOPIC "Тема на MQTT"
#define D_MQTT_GROUP_TOPIC "Групова тема на MQTT"
#define D_MQTT_FULL_TOPIC "Пълна тема на MQTT"
#define D_MQTT_NO_RETAIN "MQTT No Retain"
#define D_MDNS_DISCOVERY "Откриване по mDNS"
#define D_MDNS_ADVERTISE "Обяваване по mDNS"
#define D_ESP_CHIP_ID "ID на чипа на ESP"
#define D_FLASH_CHIP_ID "ID на чипа на флаш-паметта"
#define D_FLASH_CHIP_SIZE "Размер на флаш-паметта"
#define D_FREE_PROGRAM_SPACE "Свободно място за програми"

#define D_UPGRADE_BY_WEBSERVER "Обновяване от сървър"
#define D_OTA_URL "Адрес на сървър за OTA"
#define D_START_UPGRADE "Начало на обновяване"
#define D_UPGRADE_BY_FILE_UPLOAD "Обновяване от файл"
#define D_UPLOAD_FACTORY "Превключване към дяла на safeboot"
#define D_UPLOAD_STARTED "Качване"
#define D_UPGRADE_STARTED "Обновяване"
#define D_UPLOAD_DONE "Качването завърши"
#define D_UPLOAD_TRANSFER "Upload transfer"
#define D_TRANSFER_STARTED "Transfer started"
#define D_UPLOAD_ERR_1 "Не е избран файл"
#define D_UPLOAD_ERR_2 "Недостатъчно свободно място"
#define D_UPLOAD_ERR_3 "Недействителен подпис на файла"
#define D_UPLOAD_ERR_4 "Размерът на програмата е по-голям от размера на флаш-паметта"
#define D_UPLOAD_ERR_5 "Грешка при сравняване на буфери"
#define D_UPLOAD_ERR_6 "Грешка при качване. Избрана е стойност 3 на дневника"
#define D_UPLOAD_ERR_7 "Качването е прекъснато"
#define D_UPLOAD_ERR_8 "Файлът е невалиден"
#define D_UPLOAD_ERR_9 "Файлът е твърде голям"
#define D_UPLOAD_ERR_10 "Грешка при инициализация на чипа за RF"
#define D_UPLOAD_ERR_11 "Грешка при изтриване на чипа за RF"
#define D_UPLOAD_ERR_12 "Грешка при записване в чипа за RF"
#define D_UPLOAD_ERR_13 "Грешка при декодиране на вътрешния софтуер на RF"
#define D_UPLOAD_ERR_14 "Несъвместим"
#define D_UPLOAD_ERROR_CODE "Код на грешка при качване"

#define D_ENTER_COMMAND "Въвеждане на команда"
#define D_ENABLE_WEBLOG_FOR_RESPONSE "Ако очаквате отговор изберете стойност 2 на дневника за уеб"
#define D_NEED_USER_AND_PASSWORD "Необходими параметри: user=<username>&password=<password>"

// xdrv_01_mqtt.ino
#define D_FINGERPRINT "Проверка на отпечатъка от TLS…"
#define D_TLS_CONNECT_FAILED_TO "Неуспешно свързване по TLS към"
#define D_RETRY_IN "Повтаряне след"
#define D_VERIFIED "Проверено чрез отпечтък"
#define D_INSECURE "Връзката не е шифрована, отпечатъкът е недействителен"
#define D_CONNECT_FAILED_TO "Грешка при свързване към"

// xplg_wemohue.ino
#define D_MULTICAST_DISABLED "Multicast disabled"
#define D_MULTICAST_REJOINED "Multicast (re)joined"
#define D_MULTICAST_JOIN_FAILED "Multicast join failed"
#define D_FAILED_TO_SEND_RESPONSE "Грешка при изпращане на отговор"

#define D_WEMO "WeMo"
#define D_WEMO_BASIC_EVENT "Основно събитие на WeMo"
#define D_WEMO_EVENT_SERVICE "Услуга за събития на WeMo"
#define D_WEMO_META_SERVICE "Мета-услуга на WeMo"
#define D_WEMO_SETUP "Настройки на WeMo"
#define D_RESPONSE_SENT "Отговорът е изпратен"

#define D_HUE "Hue"
#define D_HUE_BRIDGE_SETUP "Настройки на Hue"
#define D_HUE_API_NOT_IMPLEMENTED "ППИ на Hue не е реализиран"
#define D_HUE_API "ППИ на Hue"
#define D_HUE_POST_ARGS "Параметри на Hue по POST"
#define D_3_RESPONSE_PACKETS_SENT "Изпратени са 3 пакета с отговор"

// xdrv_07_domoticz.ino
#define D_DOMOTICZ_PARAMETERS "Параметри на Domoticz"
#define D_DOMOTICZ_IDX "Idx"
#define D_DOMOTICZ_KEY_IDX "Key idx"
#define D_DOMOTICZ_SWITCH_IDX "Switch idx"
#define D_DOMOTICZ_SENSOR_IDX "Sensor idx"
  #define D_DOMOTICZ_TEMP "Темп"
  #define D_DOMOTICZ_TEMP_HUM "Темп,Влаж"
  #define D_DOMOTICZ_TEMP_HUM_BARO "Темп,Влаж,Наля"
  #define D_DOMOTICZ_POWER_ENERGY "Мощност,Енергия"
  #define D_DOMOTICZ_ILLUMINANCE "Осветеност"
  #define D_DOMOTICZ_COUNT "Брояч/PM1"
  #define D_DOMOTICZ_VOLTAGE "Напрежение/PM2,5"
  #define D_DOMOTICZ_CURRENT "Ток/PM10"
  #define D_DOMOTICZ_AIRQUALITY "Качество на въздуха"
  #define D_DOMOTICZ_P1_SMART_METER "P1SmartMeter"
#define D_DOMOTICZ_UPDATE_TIMER "Период на обновяване"

// xdrv_09_timers.ino
#define D_CONFIGURE_TIMER "Настройки на график"
#define D_TIMER_PARAMETERS "Параметри на графиците"
#define D_TIMER_ENABLE "Използване на графици"
#define D_TIMER_ARM "Включване"
#define D_TIMER_TIME "Време"
#define D_TIMER_DAYS "Дни"
#define D_TIMER_REPEAT "Повтаряне"
#define D_TIMER_OUTPUT "Изход"
#define D_TIMER_ACTION "Действие"

// xdrv_10_knx.ino
#define D_CONFIGURE_KNX "Настройки на KNX"
#define D_KNX_PARAMETERS "Параметри на KNX"
#define D_KNX_GENERAL_CONFIG "Основни"
#define D_KNX_PHYSICAL_ADDRESS "Физически адрес"
#define D_KNX_PHYSICAL_ADDRESS_NOTE "(Трябва да е уникален в мрежата на KNX)"
#define D_KNX_ENABLE "Включване на KNX"
#define D_KNX_GROUP_ADDRESS_TO_WRITE "Групови адреси за изпращане на данни"
#define D_ADD "Добаване"
#define D_DELETE "Изтриване"
#define D_REPLY "Отговор"
#define D_KNX_GROUP_ADDRESS_TO_READ "Групови адреси за получаване на данни"
#define D_RECEIVED_FROM "Получен от"
#define D_KNX_COMMAND_WRITE "Писане"
#define D_KNX_COMMAND_READ "Четене"
#define D_KNX_COMMAND_OTHER "Друго"
#define D_SENT_TO "изпратен до"
#define D_KNX_WARNING "Груповият адрес (0/0/0) е резервиран и не може да бъде използван."
#define D_KNX_ENHANCEMENT "Подобрена комуникация"
#define D_KNX_TX_SLOT "KNX TX"
#define D_KNX_RX_SLOT "KNX RX"
#define D_KNX_TX_SCENE "KNX SCENE TX"
#define D_KNX_RX_SCENE "KNX SCENE RX"

// xdrv_23_zigbee
#define D_ZIGBEE_PERMITJOIN_ACTIVE "Devices allowed to join"
#define D_ZIGBEE_MAPPING_TITLE "Tasmota Zigbee Mapping"
#define D_ZIGBEE_NOT_STARTED "Zigbee not started"
#define D_ZIGBEE_MAPPING_IN_PROGRESS_SEC "Mapping in progress (%d s. remaining)"
#define D_ZIGBEE_MAPPING_NOT_PRESENT "No mapping"
#define D_ZIGBEE_MAP_REFRESH "Zigbee Map Refresh"
#define D_ZIGBEE_MAP   "Zigbee Map"
#define D_ZIGBEE_PERMITJOIN "Zigbee Permit Join"
#define D_ZIGBEE_GENERATE_KEY "generating random Zigbee network key"
#define D_ZIGBEE_UNKNOWN_DEVICE "Unknown device"
#define D_ZIGBEE_UNKNOWN_ATTRIBUTE "Unknown attribute"
#define D_ZIGBEE_UNKNOWN_ENDPOINT "Unknown endpoint"
#define D_ZIGBEE_INVALID_PARAM "Invalid parameter"
#define D_ZIGBEE_MISSING_PARAM "Missing parameters"
#define D_ZIGBEE_UNKNWON_ATTRIBUTE "Unknown attribute name (ignored): %s"
#define D_ZIGBEE_TOO_MANY_CLUSTERS "No more than one cluster id per command"
#define D_ZIGBEE_CONFLICTING_ENDPOINTS "Conflicting destination endpoints"
#define D_ZIGBEE_WRONG_DELIMITER "Wrong delimiter for payload"
#define D_ZIGBEE_UNRECOGNIZED_COMMAND "Unrecognized zigbee command: %s"
#define D_ZIGBEE_TOO_MANY_COMMANDS "Only 1 command allowed (%d)"
#define D_ZIGBEE_NO_ATTRIBUTE "No attribute in list"
#define D_ZIGBEE_UNSUPPORTED_ATTRIBUTE_TYPE "Unsupported attribute type"
#define D_ZIGBEE_JSON_REQUIRED "Config requires JSON objects"
#define D_ZIGBEE_RESET_1_OR_2 "1 or 2 to reset"
#define D_ZIGBEE_EEPROM_FOUND_AT_ADDRESS "ZBBridge EEPROM found at address"
#define D_ZIGBEE_RANDOMIZING_ZBCONFIG "Randomizing Zigbee parameters, please check with 'ZbConfig'"

// xdrv_89_dali.ino
#define D_SENSOR_DALI_RX                  "Dali RX"
#define D_SENSOR_DALI_TX                  "Dali TX"
#define D_CONFIGURE_DALI                  "Config DALI"

// xdrv_03_energy.ino
#define D_ENERGY_TODAY "Консумация за днес"
#define D_ENERGY_YESTERDAY "Консумация за вчера"
#define D_ENERGY_TOTAL "Консумирано общо"

// xsns_100_ina3221.ino
#define  D_UNIT_CHARGE                    "Ah"
#define  D_CHARGE                         "Charge"    
#define  D_ENERGY                         "Energy"

// xdrv_27_shutter.ino
#define D_OPEN "Отворена"
#define D_CLOSE "Затворена"
#define D_DOMOTICZ_SHUTTER "Щора"

// xdrv_28_pcf8574.ino
#define D_CONFIGURE_PCF8574 "Настройки на PCF8574"
#define D_PCF8574_PARAMETERS "Параметри на PCF8574"
#define D_INVERT_PORTS "Размяна на портовете"
#define D_DEVICE "Устройство"
#define D_DEVICE_INPUT "Вход"
#define D_DEVICE_OUTPUT "Изход"

// xdrv_39_thermostat.ino, xdrv_85_esp32_ble_eq3_trv.ino
#define D_THERMOSTAT                  "Thermostat"
#define D_THERMOSTAT_SET_POINT        "Set Point Temperature"
#define D_THERMOSTAT_SENSOR           "Current Temperature"
#define D_THERMOSTAT_GRADIENT         "Gradient Temperature"
#define D_THERMOSTAT_DUTY_CYCLE       "Duty cycle"
#define D_THERMOSTAT_VALVE_POSITION   "Valve Position"
#define D_THERMOSTAT_CYCLE_TIME       "Cycle time"
#define D_THERMOSTAT_PI_AUTOTUNE      "PI Auto tuning"
#define D_THERMOSTAT_CONTROL_METHOD   "Control method"
#define D_THERMOSTAT_RAMP_UP          "Ramp up"
#define D_THERMOSTAT_PI               "PI"
#define D_THERMOSTAT_AUTOTUNE         "Autotune"
#define D_THERMOSTAT_RAMP_UP_HYBRID   "Ramp up (Hybrid)"
#define D_THERMOSTAT_PI_HYBRID        "PI (Hybrid)"
#define D_THERMOSTAT_AUTOTUNE_HYBRID  "Autotune (Hybrid)"

// xdrv_79_esp32_ble.ino
#define D_CONFIGURE_BLE "Configure BLE"
#define D_BLE_PARAMETERS "Bluetooth Settings"
#define D_BLE_ENABLE "Enable Bluetooth"
#define D_BLE_ACTIVESCAN "Enable Active Scan(*)"
#define D_BLE_DEVICES "Devices Seen"
#define D_BLE_REMARK "items marked (*) are not stored in config"

// xsns_05_ds18b20.ino
#define D_SENSOR_BUSY "Датчикът DS18x20 е зает"
#define D_SENSOR_CRC_ERROR "Датчик DS18x20 - грешка CRC"
#define D_SENSORS_FOUND "Намерен е датчик DS18x20"

// xsns_06_dht.ino
#define D_TIMEOUT_WAITING_FOR "Времето за изчакване е изтекло"
#define D_START_SIGNAL_LOW "нисък начален сигнал"
#define D_START_SIGNAL_HIGH "висок начален сигнал"
#define D_PULSE "импулс"
#define D_CHECKSUM_FAILURE "Грешка в контролната сума"

// xsns_07_sht1x.ino
#define D_SENSOR_DID_NOT_ACK_COMMAND "Датчикът не приема командата ACK"
#define D_SHT1X_FOUND "Намерен е SHT1X"

// xsns_18_pms5003.ino
#define D_STANDARD_CONCENTRATION "CF-1 PM"     // Standard Particle CF-1 Particle Matter
#define D_ENVIRONMENTAL_CONCENTRATION "PM"     // Environmetal Particle Matter
#define D_PARTICALS_BEYOND "Частици"

// xsns_27_apds9960.ino
#define D_GESTURE "Жест"
#define D_COLOR_RED "Червен"
#define D_COLOR_GREEN "Зелен"
#define D_COLOR_BLUE "Син"
#define D_CCT "CCT"
#define D_PROXIMITY "Близост"

// xsns_32_mpu6050.ino
#define D_AX_AXIS "Ускорение - ос X"
#define D_AY_AXIS "Ускорение - ос Y"
#define D_AZ_AXIS "Ускорение - ос Z"
#define D_GX_AXIS "Жироскоп - ос X"
#define D_GY_AXIS "Жироскоп - ос Y"
#define D_GZ_AXIS "Жироскоп - ос Z"

// xsns_33_QMC5883L.ino
#define D_MX "Индукция – ос X"
#define D_MY "Индукция – ос Y"
#define D_MZ "Индукция – ос Z"
#define D_MAGNETICFLD "Магнитна индукция"

// xsns_34_hx711.ino
#define D_HX_CAL_REMOVE "Премахване на тегло"
#define D_HX_CAL_REFERENCE "Поставяне на еталонна тежест"
#define D_HX_CAL_DONE "Калибрирано"
#define D_HX_CAL_FAIL "Грешка при калибриране"
#define D_RESET_HX711 "Нулиране на везната"
#define D_CONFIGURE_HX711 "Настройки на везната"
#define D_HX711_PARAMETERS "Параметри на везната"
#define D_ITEM_WEIGHT "Тегло"
#define D_REFERENCE_WEIGHT "Еталонна тежест"
#define D_CALIBRATE "Калибриране"
#define D_CALIBRATION "Калибриране"

//xsns_35_tx20.ino
#define D_TX20_WIND_DIRECTION "Посока на вятъра"
#define D_TX20_WIND_SPEED "Скорост на вятъра"
#define D_TX20_WIND_SPEED_MIN "Мин. скорост на вятъра"
#define D_TX20_WIND_SPEED_MAX "Макс. скорост на вятъра"
#define D_TX20_NORTH "С"
#define D_TX20_EAST "И"
#define D_TX20_SOUTH "Ю"
#define D_TX20_WEST "З"

// xsns_53_sml.ino
#define D_TPWRIN "Общо енергия - IN"
#define D_TPWRIN0 "Общо енергия - IN T0"
#define D_TPWRIN1 "Общо енергия - IN T1"
#define D_TPWROUT "Общо енергия - OUT"
#define D_TPWRCURR "Активна мощност - In/Out"
#define D_TPWRCURR1 "Активна мощност - In p1"
#define D_TPWRCURR2 "Активна мощност - In p2"
#define D_TPWRCURR3 "Активна мощност - In p3"
#define D_Strom_L1 "Ток L1"
#define D_Strom_L2 "Ток L2"
#define D_Strom_L3 "Ток L3"
#define D_Spannung_L1 "Напрежение L1"
#define D_Spannung_L2 "Напрежение L2"
#define D_Spannung_L3 "Напрежение L3"
#define D_METERNR "Номер_електромер"
#define D_METERSID "ID на услугата"
#define D_GasIN "Брояч"
#define D_H2oIN "Брояч"
#define D_StL1L2L3 "Ток L1+L2+L3"
#define D_SpL1L2L3 "Напрежение L1+L2+L3/3"

// xsns_86_tfminiplus.ino
#define D_SIGNALSTRENGTH "Сила на сигнала"
#define D_CHIPTEMPERATURE "Температура на чипа"

// xsns_60_GPS
#define D_LATITUDE             "Latitude"
#define D_LONGITUDE            "Longitude"
#define D_HORIZONTAL_ACCURACY  "Horizontal Accuracy"
#define D_ALTITUDE             "Altitude"
#define D_VERTICAL_ACCURACY    "Vertical Accuracy"
#define D_SPEED                "Speed"
#define D_SPEED_ACCURACY       "Speed Accuracy"
#define D_HEADING              "Heading"
#define D_HEADING_ACCURACY     "Heading Accuracy"
#define D_SAT_FIX              "Satellite Fix"
  #define D_SAT_FIX_NO_FIX     "None"
  #define D_SAT_FIX_DEAD_RECK  "Dead reckoning"
  #define D_SAT_FIX_2D         "2D"
  #define D_SAT_FIX_3D         "3D"
  #define D_SAT_FIX_GPS_DEAD   "GPS and dead reckoning"
  #define D_SAT_FIX_TIME       "Time only fix"

// tasmota_template.h - keep them as short as possible to be able to fit them in GUI drop down box
#define D_SENSOR_NONE          "Няма"
#define D_SENSOR_USER          "Потребителско"
#define D_SENSOR_OPTION        "Настройки"
#define D_SENSOR_DHT11         "DHT11"
#define D_SENSOR_AM2301        "AM2301"
#define D_SENSOR_SI7021        "SI7021"
#define D_SENSOR_MS01          "MS01"
#define D_SENSOR_DS18X20       "DS18x20"
#define D_SENSOR_I2C_SCL       "I2C SCL"
#define D_SENSOR_I2C_SDA       "I2C SDA"
#define D_SENSOR_I2C_SER_TX    "I2C Ser TX"
#define D_SENSOR_I2C_SER_RX    "I2C Ser RX"
#define D_SENSOR_I2S_MCLK      "I2S MCLK"
#define D_SENSOR_I2S_BCLK      "I2S BCLK"
#define D_SENSOR_I2S_WS_IN     "I2S BCLK IN"
#define D_SENSOR_I2S_WS        "I2S WS"
#define D_SENSOR_I2S_BCLK_IN   "I2S WS IN"
#define D_SENSOR_I2S_DIN       "I2S DIN"
#define D_SENSOR_I2S_DOUT      "I2S DOUT"
#define D_SENSOR_I2S_DAC       "I2S DAC"
#define D_SENSOR_HDMI_CEC      "HDMI CEC"
#define D_SENSOR_WS2812        "WS2812"
#define D_SENSOR_DFR562        "MP3 Player"
#define D_SENSOR_DFR562_BUSY   "MP3 Busy"
#define D_SENSOR_IRSEND        "IRsend"
#define D_SENSOR_SWITCH        "Ключ"       // Suffix "1"
#define D_SENSOR_BUTTON        "Бутон"      // Suffix "1"
#define D_SENSOR_RELAY         "Реле"       // Suffix "1i"
#define D_SENSOR_LED           "Led"        // Suffix "1i"
#define D_SENSOR_LED_LINK      "LedLink"    // Suffix "i"
#define D_SENSOR_PWM           "PWM"        // Suffix "1"
#define D_SENSOR_COUNTER       "Брояч"      // Suffix "1"
#define D_SENSOR_INTERRUPT     "Прекъсване"
#define D_SENSOR_INPUT         "Вход"
#define D_SENSOR_IRRECV        "IRrecv"
#define D_SENSOR_MHZ_RX        "MHZ Rx"
#define D_SENSOR_MHZ_TX        "MHZ Tx"
#define D_SENSOR_HC8_RX        "HC8 Rx"
#define D_SENSOR_PZEM004_RX    "PZEM004 Rx"
#define D_SENSOR_PZEM016_RX    "PZEM016 Rx"
#define D_SENSOR_PZEM017_RX    "PZEM017 Rx"
#define D_SENSOR_PZEM0XX_TX    "PZEM0XX Tx"
#define D_SENSOR_SAIR_RX       "SAir Rx"
#define D_SENSOR_SAIR_TX       "SAir Tx"
#define D_SENSOR_SPI_CS        "SPI CS"
#define D_SENSOR_SPI_DC        "SPI DC"
#define D_SENSOR_SPI_MISO      "SPI MISO"
#define D_SENSOR_SPI_MOSI      "SPI MOSI"
#define D_SENSOR_SPI_CLK       "SPI CLK"
#define D_SENSOR_SDIO_CMD      "SDIO CMD"
#define D_GPIO_TS_SPI_CS       "TS SPI CS"
#define D_GPIO_TS_RST          "TS RST"
#define D_GPIO_TS_IRQ          "TS IRQ"
#define D_SENSOR_SDIO_CMD      "SDIO CMD"
#define D_SENSOR_SDIO_CLK      "SDIO CLK"
#define D_SENSOR_SDIO_D0       "SDIO D0"
#define D_SENSOR_SDIO_D1       "SDIO D1"
#define D_SENSOR_SDIO_D2       "SDIO D2"
#define D_SENSOR_SDIO_D3       "SDIO D3"
#define D_SENSOR_BACKLIGHT     "Подсветка"
#define D_SENSOR_PMS5003_TX    "PMS5003 Tx"
#define D_SENSOR_PMS5003_RX    "PMS5003 Rx"
#define D_SENSOR_SDS0X1_RX     "SDS0X1 Rx"
#define D_SENSOR_SDS0X1_TX     "SDS0X1 Tx"
#define D_SENSOR_HPMA_RX       "HPMA Rx"
#define D_SENSOR_HPMA_TX       "HPMA Tx"
#define D_SENSOR_SBR_RX        "SerBr Rx"
#define D_SENSOR_SBR_TX        "SerBr Tx"
#define D_SENSOR_MBR_TX        "ModBr Tx"
#define D_SENSOR_MBR_RX        "ModBr Rx"
#define D_SENSOR_MBR_TX_ENA    "ModBr Tx Ena"
#define D_SENSOR_SR04_TRIG     "SR04 Tri/TX"
#define D_SENSOR_SR04_ECHO     "SR04 Ech/RX"
#define D_SENSOR_NRG_MBS_TX    "NrgMbs Tx"
#define D_SENSOR_NRG_MBS_RX    "NrgMbs Rx"
#define D_SENSOR_NRG_MBS_TX_ENA  "NrgMbs Tx Ena"
#define D_SENSOR_SDM72_TX      "SDM72 Tx"
#define D_SENSOR_SDM72_RX      "SDM72 Rx"
#define D_SENSOR_SDM120_TX     "SDMx20 Tx"
#define D_SENSOR_SDM120_RX     "SDMx20 Rx"
#define D_SENSOR_SDM230_TX     "SDM230 Tx"
#define D_SENSOR_SDM230_RX     "SDM230 Rx"
#define D_SENSOR_SDM630_TX     "SDM630 Tx"
#define D_SENSOR_SDM630_RX     "SDM630 Rx"
#define D_SENSOR_WE517_TX      "WE517 Tx"
#define D_SENSOR_WE517_RX      "WE517 Rx"
#define D_SENSOR_LD2402_TX     "LD2402 Tx"
#define D_SENSOR_LD2402_RX     "LD2402 Rx"
#define D_SENSOR_LD2410_TX     "LD2410 Tx"
#define D_SENSOR_LD2410_RX     "LD2410 Rx"
#define D_SENSOR_LD2410S_TX     "LD2410S Tx"
#define D_SENSOR_LD2410S_RX     "LD2410S Rx"
#define D_GPIO_TM1621_CS       "TM1621 CS"
#define D_GPIO_TM1621_WR       "TM1621 WR"
#define D_GPIO_TM1621_RD       "TM1621 RD"
#define D_GPIO_TM1621_DAT      "TM1621 DAT"
#define D_SENSOR_TM1637_CLK    "TM1637 CLK"
#define D_SENSOR_TM1637_DIO    "TM1637 DIO"
#define D_SENSOR_TM1638_CLK    "TM1638 CLK"
#define D_SENSOR_TM1638_DIO    "TM1638 DIO"
#define D_SENSOR_TM1638_STB    "TM1638 STB"
#define D_SENSOR_TM1640_CLK    "TM1640 CLK"
#define D_SENSOR_TM1640_DIN    "TM1640 DIN"
#define D_SENSOR_MAX7219_DIN    "MAX7219 DIN"
#define D_SENSOR_MAX7219_CS    "MAX7219 CS"
#define D_SENSOR_MAX7219_CLK    "MAX7219 CLK"
#define D_SENSOR_HX711_SCK     "HX711 SCK"
#define D_SENSOR_HX711_DAT     "HX711 DAT"
#define D_SENSOR_FTC532        "FTC532"
#define D_SENSOR_BS814_CLK     "BS814 CLK"
#define D_SENSOR_BS814_DAT     "BS814 DAT"
#define D_SENSOR_TX2X_TX       "TX2x"
#define D_SENSOR_RFSEND        "RFSend"
#define D_SENSOR_RFRECV        "RFrecv"
#define D_SENSOR_TUYA_TX       "Tuya Tx"
#define D_SENSOR_TUYA_RX       "Tuya Rx"
#define D_SENSOR_MGC3130_XFER  "MGC3130 Xfr"
#define D_SENSOR_MGC3130_RESET "MGC3130 Rst"
#define D_SENSOR_SSPI_MISO     "SSPI MISO"
#define D_SENSOR_SSPI_MOSI     "SSPI MOSI"
#define D_SENSOR_SSPI_SCLK     "SSPI SCLK"
#define D_SENSOR_SSPI_CS       "SSPI CS"
#define D_SENSOR_SSPI_DC       "SSPI DC"
#define D_SENSOR_RF_SENSOR     "Датчик за RF"
#define D_SENSOR_AZ_RX         "AZ Rx"
#define D_SENSOR_AZ_TX         "AZ Tx"
#define D_SENSOR_MAX31855_CS   "MX31855 CS"
#define D_SENSOR_MAX31855_CLK  "MX31855 CLK"
#define D_SENSOR_MAX31855_DO   "MX31855 DO"
#define D_SENSOR_MAX31865_CS   "MX31865 CS"
#define D_GPIO_RN2XX3_TX       "RN2XX3 Tx"
#define D_GPIO_RN2XX3_RX       "RN2XX3 Rx"
#define D_GPIO_RN2XX3_RST      "RN2XX3 Rst"
#define D_GPIO_ASR650X_TX      "ASR650x Tx"
#define D_GPIO_ASR650X_RX      "ASR650x Rx"
#define D_GPIO_LORA_CS         "LoRa CS"
#define D_GPIO_LORA_RST        "LoRa Rst"
#define D_GPIO_LORA_BUSY       "LoRa Busy"
#define D_GPIO_LORA_DI         "LoRa DIO"    // Suffix "0","1","2"
#define D_SENSOR_NRG_SEL       "HLWBL SEL"  // Suffix "i"
#define D_SENSOR_NRG_CF1       "HLWBL CF1"
#define D_SENSOR_HLW_CF        "HLW8012 CF"
#define D_SENSOR_HJL_CF        "BL0937 CF"
#define D_SENSOR_MCP39F5_TX    "MCP39F5 Tx"
#define D_SENSOR_MCP39F5_RX    "MCP39F5 Rx"
#define D_SENSOR_MCP39F5_RST   "MCP39F5 Rst"
#define D_SENSOR_CSE7761_TX    "CSE7761 Tx"
#define D_SENSOR_CSE7761_RX    "CSE7761 Rx"
#define D_SENSOR_CSE7766_TX    "CSE7766 Tx"
#define D_SENSOR_CSE7766_RX    "CSE7766 Rx"
#define D_SENSOR_BL0906_RX     "BL0906 Rx"
#define D_SENSOR_BL0939_RX     "BL0939 Rx"
#define D_SENSOR_BL0942_RX     "BL0942 Rx"
#define D_SENSOR_HM330X_SET    "HM330X SET"
#define D_SENSOR_PN532_TX      "PN532 Tx"
#define D_SENSOR_PN532_RX      "PN532 Rx"
#define D_SENSOR_SM16716_CLK   "SM16716 CLK"
#define D_SENSOR_SM16716_DAT   "SM16716 DAT"
#define D_SENSOR_SM16716_POWER "SM16716 PWR"
#define D_SENSOR_P9813_CLK     "P9813 Clk"
#define D_SENSOR_P9813_DAT     "P9813 Dat"
#define D_SENSOR_MY92X1_DI     "MY92x1 DI"
#define D_SENSOR_MY92X1_DCKI   "MY92x1 DCKI"
#define D_SENSOR_ARIRFRCV      "ALux IrRcv"
#define D_SENSOR_ARIRFSEL      "ALux IrSel"
#define D_SENSOR_TXD           "Serial Tx"
#define D_SENSOR_RXD           "Serial Rx"
#define D_SENSOR_ROTARY        "Rotary"     // Suffix "1A"
#define D_SENSOR_HRE_CLOCK     "HRE Clock"
#define D_SENSOR_HRE_DATA      "HRE Data"
#define D_SENSOR_ADE7880_IRQ   "ADE7880 IRQ"
#define D_SENSOR_ADE7953_IRQ   "ADE7953 IRQ"
#define D_SENSOR_ADE7953_RST   "ADE7953 RST"
#define D_SENSOR_ADE7953_CS    "ADE7953 CS"
#define D_SENSOR_BUZZER        "Зумер"
#define D_SENSOR_DISP_RESET    "Нулиране дисплей"
#define D_SENSOR_ZIGBEE_TXD    "Zigbee Tx"
#define D_SENSOR_ZIGBEE_RXD    "Zigbee Rx"
#define D_SENSOR_ZIGBEE_RST    "Zigbee Rst"
#define D_SENSOR_SOLAXX1_TX    "SolaxX1 Tx"
#define D_SENSOR_SOLAXX1_RX    "SolaxX1 Rx"
#define D_SENSOR_SOLAXX1_RTS   "SolaxX1 RTS"
#define D_SENSOR_IBEACON_TX    "iBeacon TX"
#define D_SENSOR_IBEACON_RX    "iBeacon RX"
#define D_SENSOR_RDM6300_RX    "RDM6300 RX"
#define D_SENSOR_CC1101_CS     "CC1101 CS"
#define D_SENSOR_A4988_DIR     "A4988 DIR"
#define D_SENSOR_A4988_STP     "A4988 STP"
#define D_SENSOR_A4988_ENA     "A4988 ENA"
#define D_SENSOR_A4988_MS1     "A4988 MS1"
#define D_SENSOR_OUTPUT_HI     "Output Hi"
#define D_SENSOR_OUTPUT_LO     "Output Lo"
#define D_SENSOR_AS608_TX      "AS608 Tx"
#define D_SENSOR_AS608_RX      "AS608 Rx"
#define D_SENSOR_GM861_TX      "GM861 Tx"
#define D_SENSOR_GM861_RX      "GM861 Rx"
#define D_SENSOR_DDS2382_TX    "DDS238-2 Tx"
#define D_SENSOR_DDS2382_RX    "DDS238-2 Rx"
#define D_SENSOR_DDSU666_TX    "DDSU666 Tx"
#define D_SENSOR_DDSU666_RX    "DDSU666 Rx"
#define D_SENSOR_SM2135_CLK    "SM2135 Clk"
#define D_SENSOR_SM2135_DAT    "SM2135 Dat"
#define D_SENSOR_SM2335_CLK    "SM2335 Clk"
#define D_SENSOR_SM2335_DAT    "SM2335 Dat"
#define D_SENSOR_BP1658CJ_CLK  "BP1658CJ Clk"
#define D_SENSOR_BP1658CJ_DAT  "BP1658CJ Dat"
#define D_SENSOR_BP5758D_CLK    "BP5758D Clk"
#define D_SENSOR_BP5758D_DAT    "BP5758D Dat"
#define D_SENSOR_DEEPSLEEP     "DeepSleep"
#define D_SENSOR_EXS_ENABLE    "EXS Enable"
#define D_SENSOR_CLIENT_TX    "Client TX"
#define D_SENSOR_CLIENT_RX    "Client RX"
#define D_SENSOR_CLIENT_RESET "Client RST"
#define D_SENSOR_GPS_RX        "GPS RX"
#define D_SENSOR_GPS_TX        "GPS TX"
#define D_SENSOR_HM10_RX       "HM10 RX"
#define D_SENSOR_HM10_TX       "HM10 TX"
#define D_SENSOR_LE01MR_RX     "LE-01MR Rx"
#define D_SENSOR_LE01MR_TX     "LE-01MR Tx"
#define D_SENSOR_BL0940_RX     "BL0940 Rx"
#define D_SENSOR_CC1101_GDO0   "CC1101 GDO0"
#define D_SENSOR_CC1101_GDO2   "CC1101 GDO2"
#define D_SENSOR_HRXL_RX       "HRXL Rx"
#define D_SENSOR_DYP_RX        "DYP Rx"
#define D_SENSOR_ELECTRIQ_MOODL "MOODL Tx"
#define D_SENSOR_AS3935        "AS3935"
#define D_SENSOR_WINDMETER_SPEED "WindMeter Spd"
#define D_SENSOR_TELEINFO_RX   "TInfo Rx"
#define D_SENSOR_TELEINFO_ENABLE "TInfo EN"
#define D_SENSOR_LMT01_PULSE   "LMT01 Pulse"
#define D_SENSOR_ADC_INPUT     "ADC Input"
#define D_SENSOR_ADC_TEMP      "ADC Temp"
#define D_SENSOR_ADC_LIGHT     "ADC Light"
#define D_SENSOR_ADC_BUTTON    "ADC Button"
#define D_SENSOR_ADC_RANGE     "ADC Range"
#define D_SENSOR_ADC_CT_POWER  "ADC CT Power"
#define D_SENSOR_ADC_JOYSTICK  "ADC Joystick"
#define D_SENSOR_ADC_PH        "ADC pH"
#define D_SENSOR_ADC_MQ        "ADC MQ"
#define D_SENSOR_ADC_VOLTAGE   "ADC Voltage"
#define D_SENSOR_ADC_CURRENT   "ADC Current"
#define D_GPIO_WEBCAM_PWDN     "CAM_PWDN"
#define D_GPIO_WEBCAM_RESET    "CAM_RESET"
#define D_GPIO_WEBCAM_XCLK     "CAM_XCLK"
#define D_GPIO_WEBCAM_SIOD     "CAM_SIOD"
#define D_GPIO_WEBCAM_SIOC     "CAM_SIOC"
#define D_GPIO_WEBCAM_DATA     "CAM_DATA"
#define D_GPIO_WEBCAM_VSYNC    "CAM_VSYNC"
#define D_GPIO_WEBCAM_HREF     "CAM_HREF"
#define D_GPIO_WEBCAM_PCLK     "CAM_PCLK"
#define D_GPIO_WEBCAM_PSCLK    "CAM_PSCLK"
#define D_GPIO_WEBCAM_HSD      "CAM_HSD"
#define D_GPIO_WEBCAM_PSRCS    "CAM_PSRCS"
#define D_SENSOR_ETH_PHY_POWER "ETH POWER"
#define D_SENSOR_ETH_PHY_MDC   "ETH MDC"
#define D_SENSOR_ETH_PHY_MDIO  "ETH MDIO"
#define D_SENSOR_TCP_TXD       "TCP Tx"
#define D_SENSOR_TCP_TXD_EN    "TCP Tx En"
#define D_SENSOR_TCP_RXD       "TCP Rx"
#define D_SENSOR_IEM3000_TX    "iEM3000 TX"
#define D_SENSOR_IEM3000_RX    "iEM3000 RX"
#define D_SENSOR_MIEL_HVAC_TX  "MiEl HVAC Tx"
#define D_SENSOR_MIEL_HVAC_RX  "MiEl HVAC Rx"
#define D_SENSOR_PROJECTOR_CTRL_TX  "DLP Tx"
#define D_SENSOR_PROJECTOR_CTRL_RX  "DLP Rx"
#define D_SENSOR_SHELLY_DIMMER_BOOT0 "SHD Boot 0"
#define D_SENSOR_SHELLY_DIMMER_RST_INV "SHD Reset"
#define D_SENSOR_RC522_RST     "RC522 Rst"
#define D_SENSOR_RC522_CS      "RC522 CS"
#define D_SENSOR_NRF24_CS      "NRF24 CS"
#define D_SENSOR_NRF24_DC      "NRF24 DC"
#define D_SENSOR_ILI9341_CS    "ILI9341 CS"
#define D_SENSOR_XPT2046_CS    "XPT2046 CS"
#define D_SENSOR_ILI9341_DC    "ILI9341 DC"
#define D_SENSOR_ILI9488_CS    "ILI9488 CS"
#define D_SENSOR_EPAPER29_CS   "EPaper29 CS"
#define D_SENSOR_EPAPER42_CS   "EPaper42 CS"
#define D_SENSOR_SSD1351_CS    "SSD1351 CS"
#define D_SENSOR_SSD1351_DC    "SSD1351 DC"
#define D_SENSOR_RA8876_CS     "RA8876 CS"
#define D_SENSOR_ST7789_CS     "ST7789 CS"
#define D_SENSOR_ST7789_DC     "ST7789 DC"
#define D_SENSOR_SSD1331_CS    "SSD1331 CS"
#define D_SENSOR_SSD1331_DC    "SSD1331 DC"
#define D_SENSOR_SDCARD_CS     "SDCard CS"
#define D_SENSOR_WIEGAND_D0    "Wiegand D0"
#define D_SENSOR_WIEGAND_D1    "Wiegand D1"
#define D_SENSOR_NEOPOOL_TX    "NeoPool Tx"
#define D_SENSOR_NEOPOOL_RX    "NeoPool Rx"
#define D_SENSOR_VL53LXX_XSHUT "VL53LXX XSHUT"
#define D_SENSOR_TFMINIPLUS_TX  "TFmini+ TX"
#define D_SENSOR_TFMINIPLUS_RX  "TFmini+ RX"
#define D_SENSOR_ZEROCROSS     "ZC Pulse"
#define D_SENSOR_HALLEFFECT    "HallEffect"
#define D_SENSOR_EPD_DATA      "EPD Data"
#define D_SENSOR_PCF8574_INT   "PCF8574 Int"
#define D_SENSOR_MCP23XXX_INT  "MCP23xxx Int"
#define D_SENSOR_MCP23SXX_CS   "MCP23Sxx CS"
#define D_SENSOR_MCP2515_CS    "MCP2515 CS"
#define D_SENSOR_HRG15_RX      "HRG15 Rx"
#define D_SENSOR_HRG15_TX      "HRG15 Tx"
#define D_SENSOR_VINDRIKTNING_RX "VINDRIKTNING"
#define D_SENSOR_BL6523_TX "BL6523 Tx"
#define D_SENSOR_BL6523_RX "BL6523 Rx"
#define D_SENSOR_HEARTBEAT     "Пулс"
#define D_SENSOR_RESET         "Нулиране"
#define D_GPIO_SHIFT595_SRCLK  "74x595 SRCLK"
#define D_GPIO_SHIFT595_RCLK   "74x595 RCLK"
#define D_GPIO_SHIFT595_OE     "74x595 OE"
#define D_GPIO_SHIFT595_SER    "74x595 SER"
#define D_GPIO_DINGTIAN_CLK    "Dingtian CLK"
#define D_GPIO_DINGTIAN_SDI    "Dingtian SDI"
#define D_GPIO_DINGTIAN_Q7     "Dingtian Q7"
#define D_GPIO_DINGTIAN_PL     "Dingtian PL"
#define D_GPIO_DINGTIAN_OE     "Dingtian OE"
#define D_GPIO_DINGTIAN_RCK    "Dingtian RCK"
#define D_SENSOR_CM11_TX       "CM110x TX"
#define D_SENSOR_CM11_RX       "CM110x RX"
#define D_SENSOR_FLOWRATEMETER "Дебитомер"
#define D_SENSOR_ME007_TRIG    "ME007 Tri"
#define D_SENSOR_ME007_RX      "ME007 Rx"
#define D_SENSOR_TUYAMCUBR_TX  "TuyaMCUBr Tx"
#define D_SENSOR_TUYAMCUBR_RX  "TuyaMCUBr Rx"
#define D_SENSOR_TWAI_TX       "TWAI Tx"
#define D_SENSOR_TWAI_RX       "TWAI Rx"
#define D_SENSOR_TWAI_BO       "TWAI BusOff"
#define D_SENSOR_TWAI_CLK      "TWAI ClkOut"
#define D_SENSOR_BIOPDU_PZEM0XX_TX "BioPDU PZEM0XX Tx"
#define D_SENSOR_BIOPDU_PZEM016_RX "BioPDU PZEM016 Rx"
#define D_SENSOR_BIOPDU_BIT    "BioPDU Bit"
#define D_SENSOR_LOX_O2_RX     "LoxO2 RX"
#define D_GPIO_MAGIC_SWITCH    "MagicSwitch"
#define D_SENSOR_WOOLIIS_RX    "Wooliis Rx"
#define D_SENSOR_C8_CO2_5K_RX  "C8-CO2-5K Rx"
#define D_SENSOR_C8_CO2_5K_TX  "C8-CO2-5K Tx"

// Units
#define D_UNIT_AMPERE "А"
#define D_UNIT_CELSIUS "C"
#define D_UNIT_CENTIMETER "см"
#define D_UNIT_DEGREE "°"
#define D_UNIT_FAHRENHEIT "F"
#define D_UNIT_FPS "Кадъра в секунда"
#define D_UNIT_HERTZ "Хц"
#define D_UNIT_HOUR "ч"
#define D_UNIT_GALLONS "гал"
#define D_UNIT_GALLONS_PER_MIN "гал/мин"
#define D_UNIT_KILOGRAM "кг"
#define D_UNIT_GRAM_PER_CUBIC_METER "g/m³"
#define D_UNIT_INCH_MERCURY "inHg"
#define D_UNIT_INCREMENTS "инч"
#define D_UNIT_KELVIN "K"
#define D_UNIT_KILOMETER "км"
#define D_UNIT_KILOMETER_PER_HOUR "км/ч"
#define D_UNIT_KILOOHM "кΩ"
#define D_UNIT_KILOWATTHOUR "кВт/ч"
#define D_UNIT_LITERS "л"
#define D_UNIT_LITERS_PER_MIN "л/м"
#define D_UNIT_LUX "лукс"
#define D_UNIT_METER "m"
#define D_UNIT_MICROGRAM_PER_CUBIC_METER "µг/м³"
#define D_UNIT_MICROMETER "µм"
#define D_UNIT_MICROSECOND "µс"
#define D_UNIT_MICROSIEMENS_PER_CM "µS/см"
#define D_UNIT_MICROTESLA "µТ"
#define D_UNIT_MILLIAMPERE "мА"
#define D_UNIT_MILLILITERS "мл"
#define D_UNIT_MILLIMETER "мм"
#define D_UNIT_MILLIMETER_MERCURY "mmHg"
#define D_UNIT_MILLISECOND "мс"
#define D_UNIT_MILLIVOLT "мВ"
#define D_UNIT_MINUTE "мин."
#define D_UNIT_PARTS_PER_BILLION "ppb"
#define D_UNIT_PARTS_PER_DECILITER "ppd"
#define D_UNIT_PARTS_PER_MILLION "ppm"
#define D_UNIT_MILIGRAMS_PER_LITER "мг/л"
#define D_UNIT_PERCENT "%%"
#define D_UNIT_PRESSURE "хПа"
#define D_UNIT_SECOND "с"
#define D_UNIT_SECTORS "сектора"
#define D_UNIT_VA "ВА"
#define D_UNIT_VAR "ВАр"
#define D_UNIT_VOLT "В"
#define D_UNIT_WATT "Вт"
#define D_UNIT_WATTHOUR "Вт/ч"
#define D_UNIT_WATT_METER_QUADRAT "Вт/м²"
#define D_UNIT_LITER_PER_MINUTE "л/мин"
#define D_UNIT_CUBICMETER_PER_HOUR "м³/ч"
#define D_UNIT_CUBIC_METER "м³"

#define D_NEW_ADDRESS          "Setting address to"
#define D_OUT_OF_RANGE         "Out of Range"
#define D_SENSOR_DETECTED      "detected"

//SDM220, SDM120, SDM72, LE01MR, SDM230
#define D_EXPORT_POWER    "Изходна мощност"
#define D_IMPORT_POWER 	  "Входна мощност"
#define D_PHASE_ANGLE     "Фазов ъгъл"
#define D_IMPORT_ACTIVE   "Входна активна мощност"
#define D_EXPORT_ACTIVE   "Изходна активна мощност"
#define D_IMPORT_REACTIVE "Входна реактивна мощност"
#define D_EXPORT_REACTIVE "Изходна реактивна мощност"
#define D_TOTAL_REACTIVE  "Общо реактивна мощност"
#define D_UNIT_KWARH      "кВАр/ч"
#define D_UNIT_ANGLE      "°"
#define D_TOTAL_ACTIVE    "Общо активна мощност"
#define D_RESETTABLE_TOTAL_ACTIVE    "Общо активна мощност"

//SOLAXX1
#define D_PV1_VOLTAGE     "Напрежение на ФВ1"
#define D_PV1_CURRENT     "Ток на ФВ1"
#define D_PV1_POWER       "Мощност на ФВ1"
#define D_PV2_VOLTAGE     "Напрежение на ФВ2"
#define D_PV2_CURRENT     "Ток на ФВ2"
#define D_PV2_POWER       "Мощност на ФВ2"
#define D_SOLAR_POWER     "Слънчева мощност"
#define D_INVERTER_POWER  "Мощност на инвертора"
#define D_STATUS          "Състояние"
#define D_SOLAX_MODE_0    "Очакване"
#define D_SOLAX_MODE_1    "Проверка"
#define D_SOLAX_MODE_2    "Работи"
#define D_SOLAX_MODE_3    "Грешка"
#define D_SOLAX_MODE_4    "Постоянна повреда"
#define D_SOLAX_MODE_5    "Обновяване на софтуера"
#define D_SOLAX_MODE_6    "Самопроверка"
#define D_SOLAX_ERROR_0   "Липсва код за грешка"
#define D_SOLAX_ERROR_1   "Грешка - загуба на мрежата"
#define D_SOLAX_ERROR_2   "Грешка - мрежово напрежение"
#define D_SOLAX_ERROR_3   "Грешка - мрежова честота"
#define D_SOLAX_ERROR_4   "Грешка - напрежение на ФВ"
#define D_SOLAX_ERROR_5   "Грешка - проблем с изолацията"
#define D_SOLAX_ERROR_6   "Грешка - прегряване"
#define D_SOLAX_ERROR_7   "Грешка - вентилатор"
#define D_SOLAX_ERROR_8   "Грешка - друго оборудване"

//xdrv_10_scripter.ino
#define D_CONFIGURE_SCRIPT     "Промяна на скрипт"
#define D_SCRIPT               "променяне на скрипт"
#define D_SDCARD_UPLOAD        "качване на файл"
#define D_UFSDIR               "папка на картата на UFS"
#define D_UPL_DONE             "Готово"
#define D_SCRIPT_CHARS_LEFT    "оставащи символи"
#define D_SCRIPT_CHARS_NO_MORE "не остават повече символи"
#define D_SCRIPT_DOWNLOAD      "Изтегляне"
#define D_SCRIPT_ENABLE        "включване на скрипт"
#define D_SCRIPT_UPLOAD        "Качване"
#define D_SCRIPT_UPLOAD_FILES  "Качване на файлове"

//xdrv_50_filesystem.ino
#define D_MANAGE_FILE_SYSTEM   "Файлова система"
#define D_FS_SIZE              "Размер"
#define D_FS_FREE              "Свободни"
#define D_NEW_FILE             "newfile.txt"
#define D_CREATE_NEW_FILE      "Създаване на файл"
#define D_EDIT_FILE            "Промяна на файл"
#define D_CONFIRM_FILE_DEL     "Потвърждаване премахването на файл"
#define D_SHOW_HIDDEN_FILES    "Показване на скрити файлове"

//xsns_67_as3935.ino
#define D_AS3935_GAIN "усилване:"
#define D_AS3935_ENERGY "енергия:"
#define D_AS3935_DISTANCE "разстояние:"
#define D_AS3935_DISTURBER "смущение:"
#define D_AS3935_VRMS "µVrms:"
#define D_AS3935_APRX "прибл.:"
#define D_AS3935_AWAY "далече"
#define D_AS3935_LIGHT "осветление"
#define D_AS3935_OUT "осветление извън обхват"
#define D_AS3935_NOT "неопределено разстояние"
#define D_AS3935_ABOVE "околно осветление"
#define D_AS3935_NOISE "открит шум"
#define D_AS3935_DISTDET "открито смущение"
#define D_AS3935_INTNOEV "Прекъсване без събитие!"
#define D_AS3935_FLICKER "IRQ Pin flicker!"
#define D_AS3935_POWEROFF "Изключване"
#define D_AS3935_NOMESS "слушане…"
#define D_AS3935_ON "Вкл."
#define D_AS3935_OFF "Изкл."
#define D_AS3935_INDOORS "На закрито"
#define D_AS3935_OUTDOORS "На открито"
#define D_AS3935_CAL_FAIL "калибрирането е неуспешно"
#define D_AS3935_CAL_OK "калибрирането е зададено на:"

//xsns_68_opentherm.ino
#define D_SENSOR_BOILER_OT_RX   "OpenTherm RX"
#define D_SENSOR_BOILER_OT_TX   "OpenTherm TX"

// xnrg_15_teleinfo Denky (Teleinfo)
#define D_CONTRACT        "Contract"
#define D_POWER_LOAD      "Power load"
#define D_CURRENT_TARIFF  "Current Tariff"
#define D_TARIFF          "Tariff"
#define D_OVERLOAD        "ADPS"
#define D_MAX_POWER       "Max Power"
#define D_MAX_CURRENT     "Max Current"

// xsns_79_as608.ino
#define D_FP_ENROLL_PLACEFINGER "Place finger"
#define D_FP_ENROLL_REMOVEFINGER "Remove finger"
#define D_FP_ENROLL_PLACESAMEFINGER "Place same finger again"
#define D_FP_ENROLL_RETRY "Error so retry"
#define D_FP_ENROLL_RESTART "Restart"
#define D_FP_ENROLL_ERROR "Error"
#define D_FP_ENROLL_RESET "Reset"
#define D_FP_ENROLL_ACTIVE "Active"
#define D_FP_ENROLL_INACTIVE "Inactive"
// Indexed by Adafruit_Fingerprint.h defines
#define D_FP_PACKETRECIEVEERR "Comms error"    // 0x01 Error when receiving data package
#define D_FP_NOFINGER ""                       // 0x02 No finger on the sensor
#define D_FP_IMAGEFAIL "Imaging error"         // 0x03 Failed to enroll the finger
#define D_FP_IMAGEMESS "Image too messy"       // 0x06 Failed to generate character file due to overly disorderly fingerprint image
#define D_FP_FEATUREFAIL "Fingerprint too small" // 0x07 Failed to generate character file due to the lack of character point or small fingerprint image
#define D_FP_NOMATCH "No match"                // 0x08 Finger doesn't match
#define D_FP_NOTFOUND "Did not find a match"   // 0x09 Failed to find matching finger
#define D_FP_ENROLLMISMATCH "Fingerprint did not match" // 0x0A Failed to combine the character files
#define D_FP_BADLOCATION "Bad location"        // 0x0B Addressed PageID is beyond the finger library
#define D_FP_DBRANGEFAIL "DB range error"      // 0x0C Error when reading template from library or invalid template
#define D_FP_UPLOADFEATUREFAIL "Upload feature error" // 0x0D Error when uploading template
#define D_FP_PACKETRESPONSEFAIL "Packet response error" // 0x0E Module failed to receive the following data packages
#define D_FP_UPLOADFAIL "Upload error"         // 0x0F Error when uploading image
#define D_FP_DELETEFAIL "Delete error"         // 0x10 Failed to delete the template
#define D_FP_DBCLEARFAIL "DB Clear error"      // 0x11 Failed to clear finger library
#define D_FP_PASSFAIL "Password error"         // 0x13 Find whether the fingerprint passed or failed
#define D_FP_INVALIDIMAGE "Image invalid"      // 0x15 Failed to generate image because of lac of valid primary image
#define D_FP_FLASHERR "Flash write error"      // 0x18 Error when writing flash
#define D_FP_INVALIDREG "Invalid number"       // 0x1A Invalid register number
#define D_FP_ADDRCODE "Address code"           // 0x20 Address code
#define D_FP_PASSVERIFY "Password verified"    // 0x21 Verify the fingerprint passed
#define D_FP_UNKNOWNERROR "Грешка"             // Any other error

// xsns_90_hrg15.ino
#define D_HRG_VALID "Valid"
#define D_HRG_ACTIVE "Active"
#define D_HRG_EVENT "Event"
#define D_HRG_TOTAL "Total"
#define D_HRG_FLOWRATE "Flow Rate"

// xsns_96_flowratemeter.ino
#define D_FLOWRATEMETER_NAME "Дебитомер"
#define D_FLOWRATEMETER_AMOUNT_TODAY "Количество днес"
#define D_FLOWRATEMETER_DURATION_TODAY "Времетраене днес"

// xsns_83_neopool.ino
#define D_NEOPOOL_MACH_NONE               "NeoPool"           // Machine names
#define D_NEOPOOL_MACH_HIDROLIFE          "Hidrolife (жълто)"
#define D_NEOPOOL_MACH_AQUASCENIC         "Aquascenic (синьо)"
#define D_NEOPOOL_MACH_OXILIFE            "Oxilife (зелено)"
#define D_NEOPOOL_MACH_BIONET             "Bionet (светлосиньо)"
#define D_NEOPOOL_MACH_HIDRONISER         "Hidroniser (червено)"
#define D_NEOPOOL_MACH_UVSCENIC           "UVScenic (лилаво)"
#define D_NEOPOOL_MACH_STATION            "Station (оранжево)"
#define D_NEOPOOL_MACH_BRILIX             "Brilix"
#define D_NEOPOOL_MACH_GENERIC            "Generic"
#define D_NEOPOOL_MACH_BAYROL             "Bayrol"
#define D_NEOPOOL_MACH_HAY                "Hay"
#define D_NEOPOOL_FILTRATION_MANUAL       "Ръчно"              // Filtration modes
#define D_NEOPOOL_FILTRATION_AUTO         "Автоматично"
#define D_NEOPOOL_FILTRATION_HEATING      "Загряване"
#define D_NEOPOOL_FILTRATION_SMART        "Умно"
#define D_NEOPOOL_FILTRATION_INTELLIGENT  "Интелигентно"
#define D_NEOPOOL_FILTRATION_BACKWASH     "Backwash"
#define D_NEOPOOL_FILTRATION_NONE         ""                   // Filtration speed level
#define D_NEOPOOL_FILTRATION_SLOW         "бавно"
#define D_NEOPOOL_FILTRATION_MEDIUM       "обикновено"
#define D_NEOPOOL_FILTRATION_FAST         "бързо"
#define D_NEOPOOL_TYPE                    "Вид"                // Sensor & relais names
#define D_NEOPOOL_REDOX                   "Redox"
#define D_NEOPOOL_CHLORINE                "Хлор"
#define D_NEOPOOL_CONDUCTIVITY            "Проводимост"
#define D_NEOPOOL_IONIZATION              "Йонизация"
#define D_NEOPOOL_HYDROLYSIS              "Хидролиза"
#define D_NEOPOOL_RELAY                   "Реле"
#define D_NEOPOOL_RELAY_FILTRATION        "Филтриране"        // Relay assignment
#define D_NEOPOOL_RELAY_LIGHT             "Осветление"
#define D_NEOPOOL_RELAY_PH_ACID           "Кисел. помпа"
#define D_NEOPOOL_RELAY_PH_BASE           "Алкал. помпа"
#define D_NEOPOOL_RELAY_RX                "Redox level"
#define D_NEOPOOL_RELAY_CL                "Хлорна помпа"
#define D_NEOPOOL_RELAY_CD                "Проводимост"
#define D_NEOPOOL_RELAY_HEATING           "Загряване"
#define D_NEOPOOL_RELAY_UV                "UV"
#define D_NEOPOOL_RELAY_VALVE             "Клапа"
#define D_NEOPOOL_RELAY_AUX               "Aux"
#define D_NEOPOOL_TIME                    "Време"
#define D_NEOPOOL_FILT_MODE               "Филтриране"
#define D_NEOPOOL_CELL_RUNTIME            "Време на работа"
#define D_NEOPOOL_POLARIZATION            "Pol"                // Sensor status
#define D_NEOPOOL_PR_OFF                  "Изкл"
#define D_NEOPOOL_SETPOINT_OK             "Ok"
#define D_NEOPOOL_COVER                   "Капак"
#define D_NEOPOOL_SHOCK                   "Boost"
#define D_NEOPOOL_STATUS_ON               "ВКЛ"
#define D_NEOPOOL_STATUS_OFF              "ИЗКЛ"
#define D_NEOPOOL_STATUS_WAIT             "ЧАКА"
#define D_NEOPOOL_STATUS_TANK             "РЕЗЕРВОАР"
#define D_NEOPOOL_STATUS_FLOW             "Тече"
#define D_NEOPOOL_LOW                     "Ниско"
#define D_NEOPOOL_FLOW1                   "FL1"
#define D_NEOPOOL_FLOW2                   "FL2"
#define D_NEOPOOL_PH_HIGH                 "твърде високо"      // ph Alarms
#define D_NEOPOOL_PH_LOW                  "твърде ниско"
#define D_NEOPOOL_PUMP_TIME_EXCEEDED      "превишено време за помпане"

// xsns_106_gdk101.ino
#define D_AVG_RAD_DOSE                    "средна доза радиация"
#define D_UNIT_US_H                       "µSv/h"

// ixrv92_pipsolar.ino
#define D_SENSOR_PIPSOLAR_TX             "Pipsolar TX"
#define D_SENSOR_PIPSOLAR_RX             "Pipsolar RX"

// xsns_102_ld2410.ino
#define D_MOVING_DISTANCE "Moving Distance"
#define D_STATIC_DISTANCE "Static Distance"
#define D_DETECT_DISTANCE "Detect Distance"
#define D_MOVING_ENERGY_T "Moving target"
#define D_STATIC_ENERGY_T "Static target"
#define D_LD2410_PIN_STATE "Output pin state"
#define D_LD2410_LIGHT "Light sensor"

// xsns_115_wooliis.ino
#define D_IMPORT                          "Import"
#define D_EXPORT                          "Export"
#define D_CHARGING                        "Charging"
#define D_CAPACITY                        "Capacity"


// xnrg_25_v9240.ino
#define D_SENSOR_V9240_TX "V9240 TX"
#define D_SENSOR_V9240_RX "V9240 RX"


#endif  // _LANGUAGE_BG_BG_H_
